<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Tasadecambio{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($idusuario,$tasa_dollar){
	//Ahora actualizamo en la tasa de empresa
	$sql="UPDATE empresa_tasacambio SET idempresa='1',tasa_dollar='$tasa_dollar',tasa_euro='$tasa_dollar'	WHERE idempresa_tasacambio='1'";
	ejecutarConsulta($sql);
	
	$sql="INSERT INTO empresa_tasacambiohistorico (idusuario,tasa_dollar,condicion) VALUES ('$idusuario','$tasa_dollar','1')";
	//echo $sql;
  return ejecutarConsulta($sql);
	
}

public function editar($idtasadecambio,$idusuario,$tasa_dollar){
	//Ahora actualizamo en la tasa de empresa
	$sql="UPDATE empresa_tasacambio SET idempresa='1',tasa_dollar='$tasa_dollar',tasa_euro='$tasa_dollar'	WHERE idempresa_tasacambio='1'";
	ejecutarConsulta($sql);
	
	$sql="UPDATE empresa_tasacambiohistorico SET idusuario='$idusuario',tasa_dollar='$tasa_dollar' WHERE idtasadecambio='$idtasadecambio'";
	return ejecutarConsulta($sql);
	
}
public function desactivar($idtasadecambio){
	$sql="UPDATE empresa_tasacambiohistorico SET condicion='0' WHERE idtasadecambio='$idtasadecambio'";
	return ejecutarConsulta($sql);
}
public function activar($idtasadecambio){
	$sql="UPDATE empresa_tasacambiohistorico SET condicion='1' WHERE idtasadecambio='$idtasadecambio'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtasadecambio){
	$sql="SELECT * FROM empresa_tasacambiohistorico WHERE idtasadecambio='$idtasadecambio'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT eh.*, u.nombre as usuario,DATE_FORMAT(fecha,'%d-%m-%Y') as fecha1, IF(DATE_FORMAT(fecha,'%d-%m-%Y')=DATE_FORMAT(NOW(),'%d-%m-%Y'),1,0) AS tasahoy FROM empresa_tasacambiohistorico eh INNER JOIN usuario u ON u.idusuario=eh.idusuario WHERE MONTH (NOW())=MONTH (fecha) ORDER BY eh.idtasadecambio DESC";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM empresa_tasacambiohistorico WHERE condicion=1";
	return ejecutarConsulta($sql);
}

//metodo para buscar un empresa
public function buscarfecha($fecha){
	$sql="SELECT *,DATE_FORMAT(fecha,'%Y-%m-%d') AS FechaSinHora FROM empresa_tasacambiohistorico WHERE DATE_FORMAT(fecha,'%Y-%m-%d')='$fecha'";
	return ejecutarConsulta($sql);
}

//Buscar Ultima Tasa
public function buscartasadeldia(){
	$sql="SELECT *,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha1 FROM empresa_tasacambiohistorico ORDER BY idtasadecambio DESC LIMIT 1";
	//return ejecutarConsulta($sql);
	return ejecutarConsultaSimpleFila($sql);
}

//SELECT * FROM empresa_tasacambiohistorico ORDER BY idtasadecambio DESC LIMIT 1

}

 ?>
